## emdebian-grip 2.2.7+i18n

=== Makefile ===

all:

install:
	$(MAKE) -C po install DESTDIR=../debian/emdebian-grip

clean:
	$(RM) *tar.gz.cdbs-config_list
	$(RM) *.1 *.3
	$(RM) doc/po4a.config

check:

test:

# adds the POT file to the source tarball
native-dist: Makefile
	./doc/genmanpages --pot-only
	$(MAKE) -C po pot

## emdebian-grip 2.1.0

=== debian/changelog ===
emdebian-grip (2.1.0) unstable; urgency=low

  * Handle md5sums updates in Grip.
  * emgrip: prevent duplication of description modifications.
  * emgrip : remove docs even if in a suffixed directory (libgconf-dev
    puts docs in a strange location).
  * Add dpkg-vendor support.
  * Add a Vendor-Name field to vendor/emdebian-crush for a fully verbose
    title.
  * Update standards version. (no changes)
  * Add apt-grip prototype script to add small numbers of packages to an
    existing Emdebian Grip installation.
  * grip-cron.sh : Add testing dev and doc lists to the edos-debcheck.

 -- Neil Williams <codehelp@debian.org>  Mon, 22 Jun 2009 17:22:33 +0100

emdebian-grip (2.0.1) unstable; urgency=low

  * Emdebian release.
  * Enable a new option to automatically enact the current
    recommendations when parsing testing and finding missing source
    packages.
  * Emdebian/Grip : capture stderr to stdout for calls to reprepro for
    easier logging.
  * Debian/Packages/Compare.pm : Add Build-Depends to the read_sources
    output for each package.
  * Add detection of build dependencies that need to be added.
  * Add a debug component (because some packages build-depend on dbg
    packages).
  * Emdebian/Grip.pm : migrate TDebs into testing.
  * No need for po-debconf in Build-Depends - no debconf usage.

 -- Neil Williams <codehelp@debian.org>  Tue, 26 May 2009 11:56:21 +0100

emdebian-grip (2.0.0) unstable; urgency=low

  * Add new grip-catchup.pl script for direct testing support.
  * Add dialout to the default groups in the pre-seeding. Used to
    support usb: connections.
  * logs.php : Back should point to the report, not the index page.
  * em_autogrip : lookup the source package, just in case the source
    option has been passed a binary package name.
  * em_autogrip : Warn if a binary package is passed to --source when
    the source has not already been included in the filter.
  * emgrip : also remove doc-base descriptive files under nodocs.
  * tdeb/dh_gentdeb generate a useful control file for the tdeb.
  * Debian/Packages/Compare.pm : Add support for the component splits
    used in Emdebian Grip by reading the component list from the
    repository.

 -- Neil Williams <codehelp@debian.org>  Sun, 26 Apr 2009 15:54:20 +0100

emdebian-grip (1.9.1) unstable; urgency=low

  * Downgrade dpkg-cross depends to a recommends.
  * Support relocations for dev and doc packages with dedicated
    components.
  * Emdebian/Grip.pm : (incoming_locale) - handle all architectures
    without neeing a loop and when calling from grip_source.
  * Emdebian/Grip.pm : improve get_single_package handling for stable-
    proposed-updates support.
  * proposed-updates.pl : New script to assist with stable point release
    preparation.
  * emgrip : Prevent changes to conflicts that use less than - handles
    unusual situation with libungif4g and libgif4

 -- Neil Williams <codehelp@debian.org>  Tue, 14 Apr 2009 22:11:27 +0100

emdebian-grip (1.9.0) unstable; urgency=low

  * Emdebian release

 -- Neil Williams <codehelp@debian.org>  Sun, 29 Mar 2009 19:38:51 +0100

emdebian-grip (1.8.0) unstable; urgency=low

  * Initial split out from emdebian-tools source package.

 -- Neil Williams <codehelp@debian.org>  Sun, 29 Mar 2009 19:33:16 +0100

=== grip-config/debian/changelog ===
grip-config (0.1.4em1) unstable; urgency=low

  * syntax error in symlink tidy up code.
  * swap geany for gobby in the task

 -- Neil Williams <codehelp@debian.org>  Wed, 25 Feb 2009 21:10:48 +0000

grip-config (0.1.3em1) unstable; urgency=low

  * Tidy up dangling symlinks in /usr/share/man/ in postinst.

 -- Neil Williams <codehelp@debian.org>  Fri, 06 Feb 2009 17:50:21 +0000

grip-config (0.1.2em1) unstable; urgency=low

  * Add a tasksel description file to provide a pair of XFCE
    desktop options that are installable using only packages
    from Grip. 

 -- Neil Williams <codehelp@debian.org>  Sun, 01 Feb 2009 15:04:44 +0000

grip-config (0.1.1em1) unstable; urgency=low

  * Drop Provides for mail-transport-agent (blocks installation of a real
    MTA once gcc-4.3-base depends on grip-config via the Grip overrides.

 -- Neil Williams <codehelp@debian.org>  Tue, 27 Jan 2009 20:42:02 +0000

grip-config (0.1.0em1) unstable; urgency=low

  * create the .changelog.Debian.gz and .copyright files for
    gcc-4.3-base within the package itself so that the symlinks
    can work when grip-config is unpacked but not configured. 

 -- Neil Williams <codehelp@debian.org>  Sun, 25 Jan 2009 22:48:41 +0000

grip-config (0.0.9em1) unstable; urgency=low

  * Revert /etc/hosts postinst change - instead, drop ssmtp
    and use pre-seeding to add ssmtp later in the install, leaving
    a more typical debootstrap and letting d-i set hostname data
    properly.
  * Provide mail-transport-agent to stop citadel or exim4 being selected
    by mistake.
  * Add a small file to ensure that the necessary directories are always
    created when grip-config is unpacked.

 -- Neil Williams <codehelp@debian.org>  Sat, 24 Jan 2009 21:35:38 +0000

grip-config (0.0.8em1) unstable; urgency=low

  * Create a basic /etc/hosts in postinst to allow debootstrap to
    complete.

 -- Neil Williams <codehelp@debian.org>  Wed, 21 Jan 2009 14:25:55 +0000

grip-config (0.0.7em1) unstable; urgency=low

  * Add more dependencies to make a debootstrap into a bootable system.
  * Downgrade debhelper requirements for easier backporting

 -- Neil Williams <codehelp@debian.org>  Wed, 07 Jan 2009 22:33:40 +0000

grip-config (0.0.6em1) unstable; urgency=low

  * Add ssmtp as a dependency to create a mail-transport-agent 

 -- Neil Williams <codehelp@debian.org>  Tue, 23 Dec 2008 19:04:01 +0000

grip-config (0.0.5em1) unstable; urgency=low

  * Add explicit dependency on apt for apt-key functionality. 

 -- Neil Williams <codehelp@debian.org>  Wed, 17 Dec 2008 22:27:38 +0000

grip-config (0.0.4em1) unstable; urgency=low

  * Add the Emdebian Archive signing key to the package
    with postinst and postrm adaptations from emdebian-archive-keyring
    at least until the key is part of the Debian keyring. 

 -- Neil Williams <codehelp@debian.org>  Sun, 07 Dec 2008 18:03:11 +0000

grip-config (0.0.3em1) unstable; urgency=low

  * Nasty hack to finally harness update-alternatives that just
    returns 0 even in the case of error. Manpage alternative
    symlinks in /etc/alternatives/ are hard to detect reliably.
    Needs a better solution. 

 -- Neil Williams <codehelp@debian.org>  Fri, 05 Dec 2008 22:35:31 +0000

grip-config (0.0.2em1) unstable; urgency=low

  * Add a postinst to workaround gcc-4.3 and a few remaining
    issues with alternatives. 

 -- Neil Williams <codehelp@debian.org>  Fri, 05 Dec 2008 22:00:25 +0000

grip-config (0.0.1em1) unstable; urgency=low

  * Emdebian Grip replacement scripts for install-info and
    update-alternatives. 

 -- Neil Williams <codehelp@debian.org>  Wed, 03 Dec 2008 13:40:44 +0000

=== debian/control ===
Source: emdebian-grip
Section: utils
Priority: extra
Maintainer: Neil Williams <codehelp@debian.org>
Uploaders: Wookey <wookey@debian.org>
Build-Depends: cdbs, debhelper (>= 5)
Build-Depends-Indep: devscripts, po4a
Standards-Version: 3.8.2
Homepage: http://www.emdebian.org/grip/
Vcs-Browser: http://buildd.emdebian.org/svn/browser/current/host/trunk/emdebian-grip/trunk/
Vcs-Svn: http://buildd.emdebian.org/repos/current/host/trunk/emdebian-grip/trunk/

Package: emdebian-grip-server
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, debhelper, devscripts,
 dpkg-dev, emdebian-grip, edos-debcheck, emdebian-tdeb,
 reprepro (>= 3.5.2),
 libdebian-packages-compare-perl (= ${source:Version}),
 libwww-perl
Recommends: fakeroot
Replaces: emdebian-grip (<= 2.0.1)
Description: server-side support for Emdebian Grip
 Provides server-side scripts to manage and update 
 the conversion of Debian packages into 'gripped' packages
 that have no Debian documentation, manpages or infopages.
 .
 Includes PHP support to process grip update logs and an
 example cron script to run on the buildd.
 .
 Also includes the grip-config replacements for install-info
 and update-alternatives to handle gripped packages without
 errors and a brief guide to preparing the grip-config package
 to replace the dpkg default scripts.
 .
 This package does not depend on the rest of emdebian-tools.

Package: emdebian-grip
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, apt, debhelper, devscripts,
 dpkg-dev (>= 1.15.2), emdebian-tdeb
Recommends: fakeroot
Suggests: deb-gview, meld
Description: support for the Grip flavour of Emdebian
 Supports on-the-fly conversion of regular Debian packages
 into 'gripped' packages that have no Debian documentation,
 manpages or infopages using DEB_BUILD_OPTIONS.
 .
 Supports the extension of Emdebian Grip to packages that
 are not currently available from the Grip repository, by
 machines already running Emdebian Grip.
 .
 This package does not depend on the rest of emdebian-tools.

Package: emdebian-tdeb
Architecture: all
Replaces: emdebian-tools (<= 1.4.10)
Depends: ${perl:Depends}, ${misc:Depends},
 debhelper, devscripts, dpkg-dev, libconfig-auto-perl,
 libparse-debcontrol-perl
Recommends: dpkg-cross, fakeroot, libdebian-dpkgcross-perl
Suggests: deb-gview, meld
Description: transition package for TDeb handling scripts
 Temporary home for various support scripts that implement
 TDeb support in Debian until that support is fully
 migrated into the relevant Debian packages.
 .
 This package does not depend on the rest of emdebian-tools.

Package: libdebian-packages-compare-perl
Section: perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends},
 libparse-debcontrol-perl, libparse-debian-packages-perl,
 libio-compress-zlib-perl (>= 2.011-1)
Description: emdebian repository comparison support
 Parse Packages and Sources.gz files from a local repository,
 or set of local repositories, compare the source and binary
 versions and produce lists of packages that need to be
 updated in unstable or migrated into testing.
 .
 Used by emdebian-grip-server to identify packages needing updates.

=== grip-config/debian/control ===
Source: grip-config
Section: base
Priority: required
Maintainer: Neil Williams <codehelp@debian.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.8.0
Homepage: http://www.emdebian.org/ 

Package: grip-config
Architecture: all
Depends: apt, dhcp3-client, module-init-tools, wget,
 hostname, ifupdown, mawk, net-tools, nano, ntpdate,
 passwd, udev, whiptail
Replaces: dpkg
Description: Emdebian Grip replacement scripts
 Replaces install-info and update-alternatives
 with versions compatible with Emdebian Grip.
 .
 Also ensures that certain required directories
 are created to support debootstapping Grip.

=== grip-config/debian/rules ===
#!/usr/bin/make -f

configure:
	dh_testdir

build:
	dh_testdir

clean: 
	dh_testdir
	dh_testroot
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_installdirs

# Build architecture-independent files here.
binary-indep: install
	dh_testdir
	dh_testroot
	# for these overrides to make sense, emdebian-qa needs to be installed.
	install -d debian/grip-config/usr/share/lintian/overrides/
	install -m 0644 debian/lintian-overrides debian/grip-config/usr/share/lintian/overrides/grip-config
	dh_installdocs
	gzip -9 debian/grip-config/usr/share/doc/grip-config/copyright
	# creating these files in the postinst is insufficient
	# these must exist when grip-config is unpacked but unconfigured.
	install -d debian/grip-config/usr/share/doc/gcc-4.3-base/
	install -m 0644 gcc-4.3-base.changelog debian/grip-config/usr/share/doc/gcc-4.3-base/.changelog.Debian.gz
	install -m 0644 gcc-4.3-base.copyright debian/grip-config/usr/share/doc/gcc-4.3-base/.copyright
	dh_install
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: install
# We have nothing to do by default.

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure

## emdebian-grip 2.2.3

=== debian/changelog ===
emdebian-grip (2.2.3) unstable; urgency=low

  * Reduce autogrip workload by simplifying the parser.
  * emgrip-dupes : Protect source packages in main when purging.
  * Add emgrip-dupes output to grip-cron logfile.
  * Add emgrip-remove - helper to remove packages from the repository
    and the filter.
  * Add component support to grip-override-replace.pl
  * Allow XS-Python-Version (python-mutagen support).

 -- Neil Williams <codehelp@debian.org>  Tue, 22 Dec 2009 23:37:36 +0000

emdebian-grip (2.2.2) unstable; urgency=low

  * Stop proposed-updates.pl going over the same packages again and
    again.
  * Give each script access to it's own package version info.

 -- Neil Williams <codehelp@debian.org>  Wed, 21 Oct 2009 10:10:41 +0100

emdebian-grip (2.2.1) unstable; urgency=low

  * Ignore deinstall lines in grip-selections.pl
  * apt-grip : Add --build-only option to prepare packages on a machine
    of the same architecture but more space.
  * grip-cron.sh : Add -t|--tmpfs option to unpack and repack binaries
    in memory.
  * Add manpage for grip-cron.sh
  * Add --edos-only mode to grip-cron.sh
  * Emdebian/Grip.pm : Stop reprepro exporting to Packages files until
    all TDebs are ready.

 -- Neil Williams <codehelp@debian.org>  Sun, 27 Sep 2009 17:48:06 +0100

emdebian-grip (2.2.0) unstable; urgency=low

  * Add missing libparse-debian-packages-perl dependency.
  * Allow a default vendor in apt-grip by migrating the vendor
    conffile from emdebian-grip-server into emdebian-grip.
  * apt-grip: add options to avoid repeatedly downloading the same
    temporary Packages data. Also get the default suite from the
    main sources list.
  * Add Section support to Emdebian::Grip and grip-overridereplace.pl
  * Debian/Packages/Compare.pm : Add get_suite_names function to allow
    checks against non-Debian suite names.
  * Make grip-overridereplace.pl aware of suite-specific reprepro
    override files.
  * em_autogrip, Emdebian/Grip.pm : Add Provides: handling to --build-
    depends listing.
  * Make emgrip quieter and sanitise the em_autogrip output messages.
  * emgrip-build : Add a wrapper script to ease building natively on
    Grip.
  * emgrip-dupes : Detect and handle packages that exist in more than
    one component.
  * Add XML build-depends for emgrip-build manpage generation.
  * emgrip-dupes : Output the section of the binary package as well.
  * Depend on perl 5.10 or libio-compress-zlib-perl (Closes: #542823)
  * Add a file describing how to generate the POT file for manpage
    translation.

 -- Neil Williams <codehelp@debian.org>  Sun, 23 Aug 2009 11:33:39 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Neil Williams <codehelp@debian.org>
 Uploaders: Wookey <wookey@debian.org>
 Build-Depends: cdbs, debhelper (>= 5)
-Build-Depends-Indep: devscripts, po4a
-Standards-Version: 3.8.2
+Build-Depends-Indep: devscripts, docbook-xml, docbook-xsl,
+ libxml2-utils, po4a, xml-core, xsltproc
+Standards-Version: 3.8.3
 Homepage: http://www.emdebian.org/grip/
 Vcs-Browser: http://buildd.emdebian.org/svn/browser/current/host/trunk/emdebian-grip/trunk/
 Vcs-Svn: http://buildd.emdebian.org/repos/current/host/trunk/emdebian-grip/trunk/
@@ -16,7 +17,7 @@
  dpkg-dev, emdebian-grip, edos-debcheck, emdebian-tdeb,
  reprepro (>= 3.5.2),
  libdebian-packages-compare-perl (= ${source:Version}),
- libwww-perl
+ liblocale-gettext-perl, libwww-perl
 Recommends: fakeroot
 Replaces: emdebian-grip (<= 2.0.1)
 Description: server-side support for Emdebian Grip
@@ -37,8 +38,9 @@
 Package: emdebian-grip
 Architecture: all
 Depends: ${perl:Depends}, ${misc:Depends}, apt, debhelper, devscripts,
- dpkg-dev (>= 1.15.2), emdebian-tdeb
+ dpkg-dev (>= 1.15.2), emdebian-tdeb, libparse-debian-packages-perl
 Recommends: fakeroot
+Replaces: emdebian-grip-server (<= 2.1.0)
 Suggests: deb-gview, meld
 Description: support for the Grip flavour of Emdebian
  Supports on-the-fly conversion of regular Debian packages
@@ -55,8 +57,8 @@
 Architecture: all
 Replaces: emdebian-tools (<= 1.4.10)
 Depends: ${perl:Depends}, ${misc:Depends},
- debhelper, devscripts, dpkg-dev, libconfig-auto-perl,
- libparse-debcontrol-perl
+ debhelper, devscripts, dpkg-dev, gettext,
+ libconfig-auto-perl, libparse-debcontrol-perl
 Recommends: dpkg-cross, fakeroot, libdebian-dpkgcross-perl
 Suggests: deb-gview, meld
 Description: transition package for TDeb handling scripts
@@ -71,7 +73,7 @@
 Architecture: all
 Depends: ${perl:Depends}, ${misc:Depends},
  libparse-debcontrol-perl, libparse-debian-packages-perl,
- libio-compress-zlib-perl (>= 2.011-1)
+ perl (>= 5.10.1) | libio-compress-zlib-perl (>= 2.011)
 Description: emdebian repository comparison support
  Parse Packages and Sources.gz files from a local repository,
  or set of local repositories, compare the source and binary

=== grip-config/debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: grip-config
-Section: base
+Section: admin
 Priority: required
 Maintainer: Neil Williams <codehelp@debian.org>
 Build-Depends: debhelper (>= 5)
-Standards-Version: 3.8.0
-Homepage: http://www.emdebian.org/ 
+Standards-Version: 3.8.3
+Homepage: http://www.emdebian.org/
 
 Package: grip-config
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses cdbs.  Originally written by Robert Millan.
# This file is public domain.
  
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/perlmodule.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

install/emdebian-grip::
	./doc/genmanpages
	po4a --rm-backups doc/po4a.config

clean::
	$(RM) -r doc/man/man1 doc/man/man3 doc/tdeb doc/html/
	$(RM) -r grip-config_* pod2htmd.tmp pod2htmi.tmp
	$(RM) doc/po4a.config
	cd grip-config && dh_clean

## emdebian-grip 2.2.6

=== debian/changelog ===
emdebian-grip (2.2.6) unstable; urgency=low

  * Ensure baked gets listed in the package description as well as being
    activated.
  * Add architecture support to apt-grip.
  * Add --ignore-status support to apt-grip for native arch

 -- Neil Williams <codehelp@debian.org>  Sun, 09 May 2010 17:20:17 +0100

emdebian-grip (2.2.5) unstable; urgency=low

  * Fix syntax error in emgrip

 -- Neil Williams <codehelp@debian.org>  Fri, 16 Apr 2010 08:41:03 +0100 

emdebian-grip (2.2.4) unstable; urgency=low

  * Add emgrip-dumpsingle.pl utility script.
  * Add capability to grip-selections.pl to use the main pkglist filter
    from the emdebian repository.
  * Skip unreleased architectures when calculating britney list.
  * Allow multiple packages in grip-overridereplace.pl
  * Fix component switching detection.
  * Clarify help in emgrip-removeand remove locale packages too
  * Add gettext support for translating program output.
  * Also add a POT file for manpage translations.
  * [INTL:fr] Add French manpage translation (Closes: #575710)
  * Improve emgrip-build for cross-build support.
  * Add support for Emdebian Baked.

 -- Neil Williams <codehelp@debian.org>  Wed, 14 Apr 2010 19:57:55 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: Neil Williams <codehelp@debian.org>
 Uploaders: Wookey <wookey@debian.org>
-Build-Depends: cdbs, debhelper (>= 5)
+Build-Depends: cdbs (>= 0.4.73), debhelper (>= 5)
 Build-Depends-Indep: devscripts, docbook-xml, docbook-xsl,
- libxml2-utils, po4a, xml-core, xsltproc
-Standards-Version: 3.8.3
+ libxml2-utils, po4a, xml-core, xsltproc, intltool
+Standards-Version: 3.8.4
 Homepage: http://www.emdebian.org/grip/
 Vcs-Browser: http://buildd.emdebian.org/svn/browser/current/host/trunk/emdebian-grip/trunk/
 Vcs-Svn: http://buildd.emdebian.org/repos/current/host/trunk/emdebian-grip/trunk/
@@ -39,7 +39,7 @@
 Architecture: all
 Depends: ${perl:Depends}, ${misc:Depends}, apt, debhelper, devscripts,
  dpkg-dev (>= 1.15.2), emdebian-tdeb, libparse-debian-packages-perl
-Recommends: fakeroot
+Recommends: fakeroot, libparse-debianchangelog-perl
 Replaces: emdebian-grip-server (<= 2.1.0)
 Suggests: deb-gview, meld
 Description: support for the Grip flavour of Emdebian

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses cdbs.  Originally written by Robert Millan.
# This file is public domain.
  
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/perl-makemaker.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

install/emdebian-grip::
	./doc/genmanpages
	#po4a --rm-backups doc/po4a.config

clean::
	$(RM) -r doc/grip doc/server doc/tdeb doc/pod
	$(RM) -r grip-config_* pod2htmd.tmp pod2htmi.tmp
	$(RM) doc/po4a.config
	cd grip-config && dh_clean

## emdebian-grip 2.2.7%2Bi18n

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cdbs (>= 0.4.73), debhelper (>= 5)
 Build-Depends-Indep: devscripts, docbook-xml, docbook-xsl,
  libxml2-utils, po4a, xml-core, xsltproc, intltool
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www.emdebian.org/grip/
 Vcs-Browser: http://buildd.emdebian.org/svn/browser/current/host/trunk/emdebian-grip/trunk/
 Vcs-Svn: http://buildd.emdebian.org/repos/current/host/trunk/emdebian-grip/trunk/

## emdebian-grip 2.2.7+i18n

=== debian/changelog ===
emdebian-grip (2.2.7+i18n) unstable; urgency=low

  * [INTL:fr] French translation (manpages) (Closes: #605139)
  * [INTL:ca] update catalonian translation (Closes: #602332)
  * Backport the German manpage translation.
  * Fix some bugs in genmanpages to ensure all translated manpages are
    packaged.

 -- Neil Williams <codehelp@debian.org>  Wed, 01 Dec 2010 19:40:19 +0000

emdebian-grip (2.2.7) unstable; urgency=low

  * French manpage translation (Closes: #585500)
  * [INTL:de] German translation (Closes: #592870)

 -- Neil Williams <codehelp@debian.org>  Sat, 25 Sep 2010 11:02:21 +0100

=== grip-config/debian/changelog ===
grip-config (0.1.5em1) unstable; urgency=low

  * Handle gcc-4.2-base whilst it still exists
  * Move from deprecated section and update standards
  * Work around a dash / dpkg-divert bug with missing man page to be
    diverted.
  * No more need for install-info or update-alternatives

 -- Neil Williams <codehelp@debian.org>  Sun, 15 Nov 2009 20:16:56 +0000

=== grip-config/debian/rules ===
--- 
+++ 
@@ -23,13 +23,15 @@
 	# for these overrides to make sense, emdebian-qa needs to be installed.
 	install -d debian/grip-config/usr/share/lintian/overrides/
 	install -m 0644 debian/lintian-overrides debian/grip-config/usr/share/lintian/overrides/grip-config
+	install -m 0644 grip-tasks.desc debian/grip-config/usr/share/man/man1/sh.1
 	dh_installdocs
 	gzip -9 debian/grip-config/usr/share/doc/grip-config/copyright
 	# creating these files in the postinst is insufficient
 	# these must exist when grip-config is unpacked but unconfigured.
-	install -d debian/grip-config/usr/share/doc/gcc-4.3-base/
-	install -m 0644 gcc-4.3-base.changelog debian/grip-config/usr/share/doc/gcc-4.3-base/.changelog.Debian.gz
-	install -m 0644 gcc-4.3-base.copyright debian/grip-config/usr/share/doc/gcc-4.3-base/.copyright
+	# bug was removed from gcc-4.3 and 4.4, not 4.2. Watch #547588
+	install -d debian/grip-config/usr/share/doc/gcc-4.2-base/
+	install -m 0644 gcc-4.2-base.changelog debian/grip-config/usr/share/doc/gcc-4.2-base/.changelog.Debian.gz
+	install -m 0644 gcc-4.2-base.copyright debian/grip-config/usr/share/doc/gcc-4.2-base/.copyright
 	dh_install
 	dh_compress
 	dh_fixperms

## emdebian-grip 3.0.7~bpo60+1

=== debian/changelog ===
emdebian-grip (3.0.7~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Adapt emdebian-tdeb to only suggest libqt4-dev as qt4-linguist-tools
    is not available in squeeze and is too large for a Recommends: in
    this backport. 

 -- Neil Williams <codehelp@debian.org>  Sat, 31 Mar 2012 17:08:17 +0100

emdebian-grip (3.0.7) unstable; urgency=low

  * [INTL:de] Updated German translation (Closes: #624617)
  * [INTL:fr] French documentation translation update (Closes: #627627)
  * Revisit the TDeb support scripts. Rewrite dpkg-gentdeb and dh_gentdeb.
  * Add recommends on qt4-linguist-tools, new package created from
    libqt4-dev for tdeb support.

 -- Neil Williams <codehelp@debian.org>  Fri, 17 Jun 2011 23:10:41 +0100

emdebian-grip (3.0.6) unstable; urgency=low

  * Improve emgrip-remove script
  * Add error handler for wrong base_path setting in emgrip-dupes

 -- Neil Williams <codehelp@debian.org>  Sun, 06 Feb 2011 09:29:32 +0000

emdebian-grip (3.0.5) experimental; urgency=low

  * improve reversion to main when switching components of unrecognised
    sections. Emdebian/Grip.pm
  * Add support to get package data from a specific component.
    Debian/Packages/Compare.pm
  * Allow grip-overridereplace to switch to and from main

 -- Neil Williams <codehelp@debian.org>  Mon, 13 Dec 2010 23:12:56 +0000

emdebian-grip (3.0.4) experimental; urgency=low

  * Fix genmanpages to include all manpages instead of deleting some.
  * Ensure grip/incoming directory exists.
  * Fix gettext handling of error string.

 -- Neil Williams <codehelp@debian.org>  Wed, 01 Dec 2010 21:05:48 +0000

emdebian-grip (3.0.3) experimental; urgency=low

  * Add support for sources in components other than main for filters.
  * Improve conditionals in cron task to skip partial architectures.
  * Remove unused Config::Auto dependency. Tidy up reprepro dependency.

 -- Neil Williams <codehelp@debian.org>  Sat, 06 Nov 2010 21:24:42 +0000

emdebian-grip (3.0.2) experimental; urgency=low

  * Fix typo in Emdebian::Grip

 -- Neil Williams <codehelp@debian.org>  Mon, 01 Nov 2010 19:28:33 +0000

emdebian-grip (3.0.1) experimental; urgency=low

  * Add check for each requested architecture and fail if dpkg-
    architecture does not know how to use that arch.
  * remove packages from filter/testing when identified as missing.
  * Let apt-grip inherit some changes from xapt.
  * [INTL:de] german translation (manpage) (Closes: #601765)

 -- Neil Williams <codehelp@debian.org>  Sun, 31 Oct 2010 13:27:16 +0000

emdebian-grip (3.0.0) experimental; urgency=low

  * Convert Emdebian TDebs to Arch: all

 -- Neil Williams <codehelp@debian.org>  Fri, 22 Oct 2010 18:59:33 +0100

emdebian-grip (2.2.8) experimental; urgency=low

  * Add default mirror and fix file listings in apt-grip. 
   (Closes: #591296)
  * Add point-release script to help merge updates into stable.
  * Add outdated.pl to remove packages no longer in Debian.
  * Add i18n support to outdated.pl and point-release.pl
  * Target upload at experimental. 
  * Add --simulate support for the removal option of point-release.pl

 -- Neil Williams <codehelp@debian.org>  Sat, 25 Sep 2010 17:18:32 +0100

=== grip-config/debian/changelog ===
grip-config (0.1.6em1) unstable; urgency=low

  * Adapt for Squeeze.

 -- Neil Williams <codehelp@debian.org>  Sun, 10 Oct 2010 08:52:16 +0100

=== debian/control ===
Source: emdebian-grip
Section: utils
Priority: extra
Maintainer: Neil Williams <codehelp@debian.org>
Uploaders: Wookey <wookey@debian.org>
Build-Depends: cdbs (>= 0.4.73), debhelper (>= 5)
Build-Depends-Indep: devscripts, docbook-xml, docbook-xsl,
 libxml2-utils, po4a, xml-core, xsltproc, intltool
Standards-Version: 3.9.2
Homepage: http://www.emdebian.org/grip/
Vcs-Browser: http://www.emdebian.org/svn/browser/current/host/trunk/emdebian-grip/trunk/
Vcs-Svn: http://www.emdebian.org/svn/current/host/trunk/emdebian-grip/trunk/

Package: emdebian-grip-server
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, debhelper, devscripts, dpkg-dev,
 emdebian-grip, edos-debcheck, emdebian-tdeb, emdebian-archive-keyring,
 reprepro, wget, libdebian-packages-compare-perl (= ${source:Version}),
 liblocale-gettext-perl, libparse-debian-packages-perl, libwww-perl
Recommends: dctrl-tools, fakeroot
Replaces: emdebian-grip (<= 2.0.1)
Description: server-side support for Emdebian Grip
 Provides server-side scripts to manage and update 
 the conversion of Debian packages into 'gripped' packages
 that have no Debian documentation, manpages or infopages.
 .
 Includes PHP support to process grip update logs and an
 example cron script to run on the buildd.
 .
 Also includes the grip-config replacements for install-info
 and update-alternatives to handle gripped packages without
 errors and a brief guide to preparing the grip-config package
 to replace the dpkg default scripts.
 .
 This package does not depend on the rest of emdebian-tools.

Package: emdebian-grip
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, apt, debhelper, devscripts,
 dpkg-dev (>= 1.15.2)
Recommends: emdebian-tdeb, fakeroot, libparse-debianchangelog-perl
Replaces: emdebian-grip-server (<= 2.1.0)
Suggests: deb-gview, meld
Description: support for the Grip flavour of Emdebian
 Supports on-the-fly conversion of regular Debian packages
 into 'gripped' packages that have no Debian documentation,
 manpages or infopages using DEB_BUILD_OPTIONS.
 .
 Supports the extension of Emdebian Grip to packages that
 are not currently available from the Grip repository, by
 machines already running Emdebian Grip.
 .
 This package does not depend on the rest of emdebian-tools.

Package: emdebian-tdeb
Architecture: all
Replaces: emdebian-tools (<= 1.4.10)
Depends: ${perl:Depends}, ${misc:Depends}, debhelper, devscripts,
 dpkg-dev, gettext, libparse-debcontrol-perl
Recommends: fakeroot
Suggests: libqt4-dev
Description: Debian TDeb handling scripts
 Experimental scripts to implement TDeb support.
 .
 Includes a debhelper wrapper as well as the main script,
 dpkg-gentdeb which can be configured to generate one or
 more TDeb packages containing the debconf templates, runtime
 translations (gettext and linguist) and translated manpages.

Package: libdebian-packages-compare-perl
Section: perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends},
 libparse-debcontrol-perl, libparse-debian-packages-perl
Description: emdebian repository comparison support
 Parse Packages and Sources.gz files from a local repository,
 or set of local repositories, compare the source and binary
 versions and produce lists of packages that need to be
 updated in unstable or migrated into testing.
 .
 Used by emdebian-grip-server to identify packages needing updates.

## emdebian-grip 3.0.7

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Depends: ${perl:Depends}, ${misc:Depends}, debhelper, devscripts, dpkg-dev,
  emdebian-grip, edos-debcheck, emdebian-tdeb, emdebian-archive-keyring,
  reprepro, wget, libdebian-packages-compare-perl (= ${source:Version}),
- liblocale-gettext-perl, libparse-debian-packages-perl, libwww-perl
+ liblocale-gettext-perl, libwww-perl
 Recommends: dctrl-tools, fakeroot
 Replaces: emdebian-grip (<= 2.0.1)
 Description: server-side support for Emdebian Grip
@@ -37,8 +37,8 @@
 Package: emdebian-grip
 Architecture: all
 Depends: ${perl:Depends}, ${misc:Depends}, apt, debhelper, devscripts,
- dpkg-dev (>= 1.15.2)
-Recommends: emdebian-tdeb, fakeroot, libparse-debianchangelog-perl
+ dpkg-dev (>= 1.15.2), emdebian-tdeb, libparse-debian-packages-perl
+Recommends: fakeroot, libparse-debianchangelog-perl
 Replaces: emdebian-grip-server (<= 2.1.0)
 Suggests: deb-gview, meld
 Description: support for the Grip flavour of Emdebian
@@ -57,8 +57,7 @@
 Replaces: emdebian-tools (<= 1.4.10)
 Depends: ${perl:Depends}, ${misc:Depends}, debhelper, devscripts,
  dpkg-dev, gettext, libparse-debcontrol-perl
-Recommends: fakeroot
-Suggests: libqt4-dev
+Recommends: fakeroot, qt4-linguist-tools
 Description: Debian TDeb handling scripts
  Experimental scripts to implement TDeb support.
  .

=== grip-config/debian/control ===
Source: grip-config
Section: admin
Priority: required
Maintainer: Neil Williams <codehelp@debian.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.8.3
Homepage: http://www.emdebian.org/grip

Package: grip-config
Architecture: all
Description: Emdebian Grip install helper
 Contains a selection of tasks for Emdebian Grip
 installations and also ensures that certain
 required directories or files are created to
 support debootstapping Grip.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses cdbs.  Originally written by Robert Millan.
# This file is public domain.
  
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/perl-makemaker.mk

install/emdebian-grip::
	./doc/genmanpages
	#po4a --rm-backups doc/po4a.config

clean::
	$(RM) -r doc/grip doc/server doc/tdeb doc/pod doc/man
	$(RM) -r grip-config_* pod2htmd.tmp pod2htmi.tmp
	$(RM) doc/po4a.config
	cd grip-config && dh_clean

=== grip-config/debian/rules ===
#!/usr/bin/make -f

configure:
	dh_testdir

build:
	dh_testdir

clean: 
	dh_testdir
	dh_testroot
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_installdirs

# Build architecture-independent files here.
binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs
	gzip -9 debian/grip-config/usr/share/doc/grip-config/copyright
	dh_install
	dh_compress -X dir
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: install
# We have nothing to do by default.

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure

## emdebian-grip 3.1.0

=== Makefile ===
--- 
+++ 
@@ -17,4 +17,4 @@
 native-dist: Makefile
 	./doc/genmanpages --pot-only
 	$(MAKE) -C po pot
-                 
+

=== debian/changelog ===
emdebian-grip (3.1.0) unstable; urgency=low

  * Remove the server package due to integration of
    Emdebian Grip into the main Debian archive. 
  * [INTL:de] Apply remnants of updated German translation
    for emgrip and apt-grip only. (Closes: #687113)
  * [INTL:fr] Apply remnants of French manpages translation
     update for apt-grip and emgrip only. (Closes: #671210)
  * Encode translated manpages with utf8. (Closes: #655668)

 -- Neil Williams <codehelp@debian.org>  Mon, 06 May 2013 18:30:32 +0100

emdebian-grip (3.0.8) unstable; urgency=low

  * Implement the new lintian profile support
  * allow em_installtdeb to be conditional and fix handling of
    noscripts.
  * Implement support for debiangrip vendor
  * Apply --utf8 encoding to calls to pod2man in genmanpages.
    (Closes: #655668)
  * [INTL:fr] French manpages translation update (Closes: #671210)
  * Accept multiple -p flags to grip-single.pl
  * [INTL:de] Updated German translation (Closes: #687113)
  * Bring grip-config up to date with task metapackages and drop old
    gcc*-base workarounds from Lenny.

 -- Neil Williams <codehelp@debian.org>  Wed, 02 May 2012 19:17:22 +0100

=== grip-config/debian/changelog ===
grip-config (0.1.9em1) unstable-grip; urgency=low

  * Add a udeb to support the parallel suite and codenames for Grip.

 -- Neil Williams <codehelp@debian.org>  Fri, 03 May 2013 21:22:31 +0100

grip-config (0.1.8em1) unstable; urgency=low

  * Add ./usr/share/info/dir to ease install-info problems with
    debootstrap.
  * Demote task packages to optional, just the other tasks, which also
    eases debootstrap issues.

 -- Neil Williams <codehelp@debian.org>  Fri, 03 May 2013 19:14:52 +0100

grip-config (0.1.7em1) unstable; urgency=low

  * Drop openmoko task due to removal of e17
  * Migrate tasks into meta-packages created by grip-config
  * switch to lightdm not the heavyweight gdm3

 -- Neil Williams <codehelp@debian.org>  Sun, 08 Jul 2012 12:03:51 -0600

=== debian/control ===
Source: emdebian-grip
Section: utils
Priority: extra
Maintainer: Neil Williams <codehelp@debian.org>
Uploaders: Wookey <wookey@debian.org>
Build-Depends: cdbs (>= 0.4.73), debhelper (>= 5)
Build-Depends-Indep: devscripts, docbook-xml, docbook-xsl,
 libxml2-utils, po4a, xml-core, xsltproc, intltool
Standards-Version: 3.9.4
Homepage: http://www.emdebian.org/grip/
Vcs-Browser: http://www.emdebian.org/trac/browser/current/host/trunk/emdebian-grip/trunk
Vcs-Svn: http://www.emdebian.org/svn/current/host/trunk/emdebian-grip/trunk/

Package: emdebian-grip
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, apt, debhelper, devscripts,
 dpkg-dev (>= 1.15.2)
Recommends: fakeroot, libparse-debianchangelog-perl
Replaces: emdebian-grip-server (<= 2.1.0)
Suggests: deb-gview, meld
Description: convert Debian packages for Emdebian Grip
 Supports on-the-fly conversion of regular Debian packages
 into 'gripped' packages that have no Debian documentation,
 manpages or infopages using DEB_BUILD_OPTIONS.
 .
 Supports the extension of Emdebian Grip to packages that
 are not currently available from the Grip repository, for
 machines already running Emdebian Grip.

=== grip-config/debian/control ===
Source: grip-config
Section: admin
Priority: required
Maintainer: Neil Williams <codehelp@debian.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.9.4
Homepage: http://www.emdebian.org/grip
Vcs-Browser: http://www.emdebian.org/trac/browser/current/host/trunk/emdebian-grip/trunk/grip-config
Vcs-Svn: http://www.emdebian.org/svn/current/host/trunk/emdebian-grip/trunk/grip-config/

Package: grip-config
Architecture: all
Depends: ${misc:Depends}
Description: Emdebian Grip install helper
 Contains a selection of tasks for Emdebian Grip
 installations and also ensures that certain
 required directories or files are created to
 support debootstapping Grip.

Package: task-grip-desktop-minimal
Section: admin
Priority: optional
Architecture: all
Depends: xserver-xorg-core, xfce4, xfce4-terminal, lightdm,
 dbus-x11, xfonts-base, ${misc:Depends}
Description: Minimal Grip XFCE desktop
 This task provides a minimal XFCE desktop without the
 larger packages like openoffice.org, even without any
 particular utility packages.

Package: task-grip-desktop
Section: admin
Priority: optional
Architecture: all
Depends: xserver-xorg-core, xfce4, xfce4-terminal, lightdm, dbus-x11,
 xfonts-base, grisbi, drivel, iceweasel, gpe-expenses, xchat-gnome,
 liferea, sylpheed, geany, network-manager, openssh-client,
 ${misc:Depends}
Description: Grip XFCE desktop
 This task provides a basic working desktop based on
 XFCE, without some of the larger packages.

Package: task-grip-build
Section: admin
Priority: optional
Architecture: all
Depends: emdebian-grip, build-essential, ${misc:Depends}
Description: Grip build machine
 This task provides the tools to add more packages to
 Grip as well as build new packages for Grip.

Package: task-grip-lxde
Section: admin
Priority: optional
Architecture: all
Depends: xserver-xorg-core, lxde, ${misc:Depends}
Description: Grip LXDE desktop
 This task provides a basic working desktop based on
 LXDE.

Package: task-touchscreen
Section: admin
Priority: optional
Architecture: all
Depends: xserver-xorg-input-tslib, hal, libts-bin, ${misc:Depends}
Description: Xorg touchscreen support
 This task provides the packages to support
 touchscreen usage in Xorg.

Package: grip-config-udeb
Architecture: all
Section: debian-installer
Depends: ${misc:Depends}
XB-Installer-Menu-Item: 6490
XC-Package-Type: udeb
Description: debootstrap support for the Emdebian archive - udeb
 Supports the integration of Emdebian Grip into Debian by
 symlinking the relevant suites and codenames to the Emdebian
 Grip equivalents.

=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,9 @@
   
 include /usr/share/cdbs/1/class/makefile.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/perl-makemaker.mk
 
 install/emdebian-grip::
 	./doc/genmanpages
-	#po4a --rm-backups doc/po4a.config
 
 clean::
 	$(RM) -r doc/grip doc/server doc/tdeb doc/pod doc/man

=== grip-config/debian/rules ===
--- 
+++ 
@@ -3,7 +3,11 @@
 configure:
 	dh_testdir
 
-build:
+build: build-arch build-indep
+build-arch:
+	dh_testdir
+
+build-indep:
 	dh_testdir
 
 clean: 
@@ -21,8 +25,9 @@
 	dh_testdir
 	dh_testroot
 	dh_installdocs
-	gzip -9 debian/grip-config/usr/share/doc/grip-config/copyright
+	gzip -9 debian/*/usr/share/doc/*/copyright
 	dh_install
+	dh_link
 	dh_compress -X dir
 	dh_fixperms
 	dh_installdeb
